commit:     91af58809bfb0ffb416a3aa52969cded3d470433
Author:     Marco Genasci <fedeliallalinea <AT> gmail <DOT> com>
AuthorDate: Sat Dec  5 10:29:53 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Dec 11 07:58:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91af5880

app-editors/bluefish: bump version to 2.2.12

- move to EAPI=7
- re-add python3 support
- change appdata location to metainfo

Closes: https://bugs.gentoo.org/758626
Closes: https://bugs.gentoo.org/733072
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Marco Genasci <fedeliallalinea <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/18514
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-editors/bluefish/Manifest               |   1 +
 app-editors/bluefish/bluefish-2.2.12.ebuild | 103 ++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/app-editors/bluefish/Manifest b/app-editors/bluefish/Manifest
index d87d4ad06be..ce963709013 100644
--- a/app-editors/bluefish/Manifest
+++ b/app-editors/bluefish/Manifest
@@ -1 +1,2 @@
 DIST bluefish-2.2.10.tar.bz2 4159964 BLAKE2B 
94210df4f9cf0abb46fa26612e1b64550f5970c72584b683779f5bcaf921a8925c6275c647125f73990e99a0175e3c92c0cc286590fbd08e938c6fd1d8c32cef
 SHA512 
ddfad4c595d371dfd7ca5551c1771c2d82dbffcc90acda31bbd2a048730e24e2d1e37fbe847e5005d96acefdf5f38cb93785d23817e59624ecd7ea10bfbc3aeb
+DIST bluefish-2.2.12.tar.bz2 4180228 BLAKE2B 
9e05a4618c37951da6a669e9bd4e0dd7e9993ea764dd467f875039b28cdc6d71ae70d1a87df7f0c63f850ebbff6ceeb8550d1d036bab32b7435f362d5b137147
 SHA512 
f0eb6496d371db8a9b4aee33ddf67e5e87bcc86ff283704cac115be7f00609b1ccbd47ff2d8f8b0bc30f234a339069cc1f7cb1f8809d97f94f0b0e09e4f16754

diff --git a/app-editors/bluefish/bluefish-2.2.12.ebuild 
b/app-editors/bluefish/bluefish-2.2.12.ebuild
new file mode 100644
index 00000000000..9b1dfeae212
--- /dev/null
+++ b/app-editors/bluefish/bluefish-2.2.12.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit autotools python-single-r1 xdg
+
+MY_P=${P/_/-}
+
+DESCRIPTION="A GTK HTML editor for the experienced web designer or programmer"
+HOMEPAGE="http://bluefish.openoffice.nl/";
+SRC_URI="https://www.bennewitz.com/bluefish/stable/source/${MY_P}.tar.bz2";
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+SLOT="0"
+IUSE="+gtk3 gucharmap nls python spell"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       sys-libs/zlib
+       !gtk3? ( x11-libs/gtk+:2 )
+       gtk3? (
+               x11-libs/gtk+:3
+               gucharmap? ( gnome-extra/gucharmap:2.90 )
+       )
+       python? ( ${PYTHON_DEPS} )
+       spell? ( >=app-text/enchant-1.4:0 )"
+DEPEND="${RDEPEND}
+       x11-libs/pango"
+BDEPEND=">=dev-libs/glib-2.24:2
+       dev-libs/libxml2:2
+       virtual/pkgconfig
+       nls? (
+               sys-devel/gettext
+               dev-util/intltool
+       )"
+
+S="${WORKDIR}/${MY_P}"
+
+# there actually is just some broken manpage checkup -> not bother
+RESTRICT="test"
+
+pkg_setup() {
+       if ! use gtk3 && use gucharmap ; then
+               ewarn "gucharmap USE flag requires the gtk3 USE flag being 
enabled."
+               ewarn "Disabling charmap plugin."
+       fi
+
+       use python && python-single-r1_pkg_setup
+}
+
+PATCHES=(
+       "${FILESDIR}/${PN}-2.2.9-charmap_configure.patch"
+)
+
+# eautoreconf seems to no longer kill translation files.
+src_prepare() {
+       default
+       eautoreconf
+       sed -i 's:gzip -n $< -c:gzip -n -c $<:' data/bflib/Makefile.* || die 
"Cannot fix makefile"
+}
+
+src_configure() {
+       econf \
+               --disable-update-databases \
+               --disable-xml-catalog-update \
+               --with-freedesktop_org-appdata="${EPREFIX}"/usr/share/metainfo \
+               $(use_with !gtk3 gtk2) \
+               $(usex gtk3 "$(use_with gucharmap charmap)" 
'--without-charmap') \
+               $(use_enable nls) \
+               $(use_enable spell spell-check) \
+               $(use_enable python)
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       einfo "Adding XML catalog entries..."
+       /usr/bin/xmlcatalog  --noout \
+               --add 'public' 'Bluefish/DTD/Bflang' 'bflang.dtd' \
+               --add 'system' 'http://bluefish.openoffice.nl/DTD/bflang.dtd' 
'bflang.dtd' \
+               --add 'rewriteURI' 'http://bluefish.openoffice.nl/DTD' 
'/usr/share/xml/bluefish-unstable' \
+               /etc/xml/catalog \
+               || ewarn "Failed to add XML catalog entries."
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       einfo "Removing XML catalog entries..."
+       /usr/bin/xmlcatalog  --noout \
+               --del 'Bluefish/DTD/Bflang' \
+               --del 'http://bluefish.openoffice.nl/DTD/bflang.dtd' \
+               --del 'http://bluefish.openoffice.nl/DTD' \
+               /etc/xml/catalog \
+               || ewarn "Failed to remove XML catalog entries."
+}

Reply via email to